

local Utils = FasterTravel.Utils

local Data = {}

-- Hardcoded lookup of all fast travel nodes in all zones =( But at least it is automatically generated by WayshrineDataGenerator =D

local _zoneNodeLookup = {
	[-2147483648] = 
	{
	},
	[353] = 
	{
		[1] = 
		{
			["nodeIndex"] = 217,
			["poiIndex"] = 45,
		},
		[2] = 
		{
			["nodeIndex"] = 219,
			["poiIndex"] = 46,
		},
		[3] = 
		{
			["nodeIndex"] = 218,
			["poiIndex"] = 47,
		},
		[4] = 
		{
			["nodeIndex"] = 220,
			["poiIndex"] = 50,
		},
		[5] = 
		{
			["nodeIndex"] = 230,
			["poiIndex"] = 60,
		},
		[6] = 
		{
			["nodeIndex"] = 231,
			["poiIndex"] = 61,
		},
		[7] = 
		{
			["nodeIndex"] = 229,
			["poiIndex"] = 62,
		},
		[8] = 
		{
			["nodeIndex"] = 225,
			["poiIndex"] = 63,
		},
		[9] = 
		{
			["nodeIndex"] = 226,
			["poiIndex"] = 64,
		},
		[10] = 
		{
			["nodeIndex"] = 227,
			["poiIndex"] = 65,
		},
		[11] = 
		{
			["nodeIndex"] = 232,
			["poiIndex"] = 85,
		},
		[12] = 
		{
			["nodeIndex"] = 233,
			["poiIndex"] = 86,
		},
		[13] = 
		{
			["nodeIndex"] = 234,
			["poiIndex"] = 87,
		},
		[14] = 
		{
			["nodeIndex"] = 235,
			["poiIndex"] = 88,
		},
	},
	[2] = 
	{
		[1] = 
		{
			["nodeIndex"] = 1,
			["poiIndex"] = 26,
		},
		[2] = 
		{
			["nodeIndex"] = 2,
			["poiIndex"] = 27,
		},
		[3] = 
		{
			["nodeIndex"] = 3,
			["poiIndex"] = 28,
		},
		[4] = 
		{
			["nodeIndex"] = 4,
			["poiIndex"] = 29,
		},
		[5] = 
		{
			["nodeIndex"] = 5,
			["poiIndex"] = 30,
		},
		[6] = 
		{
			["nodeIndex"] = 6,
			["poiIndex"] = 31,
		},
		[7] = 
		{
			["nodeIndex"] = 7,
			["poiIndex"] = 32,
		},
		[8] = 
		{
			["nodeIndex"] = 8,
			["poiIndex"] = 33,
		},
		[9] = 
		{
			["nodeIndex"] = 20,
			["poiIndex"] = 34,
		},
		[10] = 
		{
			["nodeIndex"] = 62,
			["poiIndex"] = 35,
		},
		[11] = 
		{
			["nodeIndex"] = 64,
			["poiIndex"] = 36,
		},
		[12] = 
		{
			["nodeIndex"] = 193,
			["poiIndex"] = 42,
		},
		[13] = 
		{
			["nodeIndex"] = 210,
			["poiIndex"] = 46,
		},
		[14] = 
		{
			["nodeIndex"] = 216,
			["poiIndex"] = 63,
		},
	},
	[99] = 
	{
		[1] = 
		{
			["nodeIndex"] = 215,
			["poiIndex"] = 1,
		},
	},
	[5] = 
	{
		[1] = 
		{
			["nodeIndex"] = 190,
			["poiIndex"] = 17,
		},
		[2] = 
		{
			["nodeIndex"] = 9,
			["poiIndex"] = 18,
		},
		[3] = 
		{
			["nodeIndex"] = 10,
			["poiIndex"] = 19,
		},
		[4] = 
		{
			["nodeIndex"] = 11,
			["poiIndex"] = 20,
		},
		[5] = 
		{
			["nodeIndex"] = 12,
			["poiIndex"] = 22,
		},
		[6] = 
		{
			["nodeIndex"] = 13,
			["poiIndex"] = 23,
		},
		[7] = 
		{
			["nodeIndex"] = 82,
			["poiIndex"] = 24,
		},
		[8] = 
		{
			["nodeIndex"] = 83,
			["poiIndex"] = 25,
		},
		[9] = 
		{
			["nodeIndex"] = 84,
			["poiIndex"] = 26,
		},
		[10] = 
		{
			["nodeIndex"] = 55,
			["poiIndex"] = 27,
		},
		[11] = 
		{
			["nodeIndex"] = 86,
			["poiIndex"] = 37,
		},
		[12] = 
		{
			["nodeIndex"] = 208,
			["poiIndex"] = 41,
		},
	},
	[37] = 
	{
		[1] = 
		{
			["nodeIndex"] = 170,
			["poiIndex"] = 52,
		},
		[2] = 
		{
			["nodeIndex"] = 199,
			["poiIndex"] = 53,
		},
		[3] = 
		{
			["nodeIndex"] = 200,
			["poiIndex"] = 54,
		},
		[4] = 
		{
			["nodeIndex"] = 201,
			["poiIndex"] = 55,
		},
		[5] = 
		{
			["nodeIndex"] = 202,
			["poiIndex"] = 56,
		},
		[6] = 
		{
			["nodeIndex"] = 203,
			["poiIndex"] = 57,
		},
	},
	[294] = 
	{
		[1] = 
		{
			["nodeIndex"] = 141,
			["poiIndex"] = 5,
		},
		[2] = 
		{
			["nodeIndex"] = 142,
			["poiIndex"] = 6,
		},
	},
	[9] = 
	{
		[1] = 
		{
			["nodeIndex"] = 65,
			["poiIndex"] = 20,
		},
		[2] = 
		{
			["nodeIndex"] = 66,
			["poiIndex"] = 21,
		},
		[3] = 
		{
			["nodeIndex"] = 41,
			["poiIndex"] = 22,
		},
		[4] = 
		{
			["nodeIndex"] = 67,
			["poiIndex"] = 23,
		},
		[5] = 
		{
			["nodeIndex"] = 68,
			["poiIndex"] = 24,
		},
		[6] = 
		{
			["nodeIndex"] = 71,
			["poiIndex"] = 25,
		},
		[7] = 
		{
			["nodeIndex"] = 72,
			["poiIndex"] = 26,
		},
		[8] = 
		{
			["nodeIndex"] = 73,
			["poiIndex"] = 27,
		},
		[9] = 
		{
			["nodeIndex"] = 74,
			["poiIndex"] = 28,
		},
		[10] = 
		{
			["nodeIndex"] = 75,
			["poiIndex"] = 29,
		},
		[11] = 
		{
			["nodeIndex"] = 76,
			["poiIndex"] = 30,
		},
		[12] = 
		{
			["nodeIndex"] = 77,
			["poiIndex"] = 31,
		},
		[13] = 
		{
			["nodeIndex"] = 98,
			["poiIndex"] = 34,
		},
		[14] = 
		{
			["nodeIndex"] = 69,
			["poiIndex"] = 39,
		},
		[15] = 
		{
			["nodeIndex"] = 108,
			["poiIndex"] = 40,
		},
		[16] = 
		{
			["nodeIndex"] = 212,
			["poiIndex"] = 46,
		},
	},
	[10] = 
	{
		[1] = 
		{
			["nodeIndex"] = 198,
			["poiIndex"] = 21,
		},
		[2] = 
		{
			["nodeIndex"] = 24,
			["poiIndex"] = 22,
		},
		[3] = 
		{
			["nodeIndex"] = 25,
			["poiIndex"] = 23,
		},
		[4] = 
		{
			["nodeIndex"] = 26,
			["poiIndex"] = 24,
		},
		[5] = 
		{
			["nodeIndex"] = 27,
			["poiIndex"] = 25,
		},
		[6] = 
		{
			["nodeIndex"] = 28,
			["poiIndex"] = 26,
		},
		[7] = 
		{
			["nodeIndex"] = 29,
			["poiIndex"] = 27,
		},
		[8] = 
		{
			["nodeIndex"] = 30,
			["poiIndex"] = 28,
		},
		[9] = 
		{
			["nodeIndex"] = 32,
			["poiIndex"] = 29,
		},
		[10] = 
		{
			["nodeIndex"] = 79,
			["poiIndex"] = 30,
		},
		[11] = 
		{
			["nodeIndex"] = 80,
			["poiIndex"] = 31,
		},
		[12] = 
		{
			["nodeIndex"] = 81,
			["poiIndex"] = 32,
		},
		[13] = 
		{
			["nodeIndex"] = 205,
			["poiIndex"] = 43,
		},
	},
	[11] = 
	{
		[1] = 
		{
			["nodeIndex"] = 101,
			["poiIndex"] = 2,
		},
		[2] = 
		{
			["nodeIndex"] = 99,
			["poiIndex"] = 3,
		},
		[3] = 
		{
			["nodeIndex"] = 102,
			["poiIndex"] = 4,
		},
		[4] = 
		{
			["nodeIndex"] = 100,
			["poiIndex"] = 5,
		},
		[5] = 
		{
			["nodeIndex"] = 104,
			["poiIndex"] = 6,
		},
		[6] = 
		{
			["nodeIndex"] = 105,
			["poiIndex"] = 7,
		},
		[7] = 
		{
			["nodeIndex"] = 106,
			["poiIndex"] = 8,
		},
		[8] = 
		{
			["nodeIndex"] = 103,
			["poiIndex"] = 9,
		},
		[9] = 
		{
			["nodeIndex"] = 107,
			["poiIndex"] = 10,
		},
		[10] = 
		{
			["nodeIndex"] = 188,
			["poiIndex"] = 41,
		},
	},
	[109] = 
	{
		[1] = 
		{
			["nodeIndex"] = 172,
			["poiIndex"] = 3,
		},
	},
	[110] = 
	{
		[1] = 
		{
			["nodeIndex"] = 173,
			["poiIndex"] = 2,
		},
		[2] = 
		{
			["nodeIndex"] = 125,
			["poiIndex"] = 3,
		},
		[3] = 
		{
			["nodeIndex"] = 126,
			["poiIndex"] = 4,
		},
	},
	[15] = 
	{
		[1] = 
		{
			["nodeIndex"] = 87,
			["poiIndex"] = 14,
		},
		[2] = 
		{
			["nodeIndex"] = 88,
			["poiIndex"] = 15,
		},
		[3] = 
		{
			["nodeIndex"] = 89,
			["poiIndex"] = 16,
		},
		[4] = 
		{
			["nodeIndex"] = 90,
			["poiIndex"] = 17,
		},
		[5] = 
		{
			["nodeIndex"] = 91,
			["poiIndex"] = 18,
		},
		[6] = 
		{
			["nodeIndex"] = 92,
			["poiIndex"] = 19,
		},
		[7] = 
		{
			["nodeIndex"] = 93,
			["poiIndex"] = 20,
		},
		[8] = 
		{
			["nodeIndex"] = 94,
			["poiIndex"] = 21,
		},
		[9] = 
		{
			["nodeIndex"] = 95,
			["poiIndex"] = 22,
		},
		[10] = 
		{
			["nodeIndex"] = 96,
			["poiIndex"] = 23,
		},
		[11] = 
		{
			["nodeIndex"] = 97,
			["poiIndex"] = 24,
		},
		[12] = 
		{
			["nodeIndex"] = 195,
			["poiIndex"] = 41,
		},
	},
	[16] = 
	{
		[1] = 
		{
			["nodeIndex"] = 109,
			["poiIndex"] = 14,
		},
		[2] = 
		{
			["nodeIndex"] = 110,
			["poiIndex"] = 15,
		},
		[3] = 
		{
			["nodeIndex"] = 111,
			["poiIndex"] = 16,
		},
		[4] = 
		{
			["nodeIndex"] = 112,
			["poiIndex"] = 17,
		},
		[5] = 
		{
			["nodeIndex"] = 113,
			["poiIndex"] = 23,
		},
		[6] = 
		{
			["nodeIndex"] = 114,
			["poiIndex"] = 24,
		},
		[7] = 
		{
			["nodeIndex"] = 115,
			["poiIndex"] = 25,
		},
		[8] = 
		{
			["nodeIndex"] = 116,
			["poiIndex"] = 26,
		},
		[9] = 
		{
			["nodeIndex"] = 117,
			["poiIndex"] = 27,
		},
		[10] = 
		{
			["nodeIndex"] = 118,
			["poiIndex"] = 28,
		},
		[11] = 
		{
			["nodeIndex"] = 119,
			["poiIndex"] = 29,
		},
		[12] = 
		{
			["nodeIndex"] = 120,
			["poiIndex"] = 30,
		},
		[13] = 
		{
			["nodeIndex"] = 187,
			["poiIndex"] = 42,
		},
	},
	[17] = 
	{
		[1] = 
		{
			["nodeIndex"] = 42,
			["poiIndex"] = 17,
		},
		[2] = 
		{
			["nodeIndex"] = 43,
			["poiIndex"] = 18,
		},
		[3] = 
		{
			["nodeIndex"] = 44,
			["poiIndex"] = 19,
		},
		[4] = 
		{
			["nodeIndex"] = 45,
			["poiIndex"] = 20,
		},
		[5] = 
		{
			["nodeIndex"] = 46,
			["poiIndex"] = 21,
		},
		[6] = 
		{
			["nodeIndex"] = 57,
			["poiIndex"] = 29,
		},
		[7] = 
		{
			["nodeIndex"] = 58,
			["poiIndex"] = 30,
		},
		[8] = 
		{
			["nodeIndex"] = 59,
			["poiIndex"] = 31,
		},
		[9] = 
		{
			["nodeIndex"] = 137,
			["poiIndex"] = 32,
		},
		[10] = 
		{
			["nodeIndex"] = 60,
			["poiIndex"] = 34,
		},
		[11] = 
		{
			["nodeIndex"] = 61,
			["poiIndex"] = 35,
		},
		[12] = 
		{
			["nodeIndex"] = 196,
			["poiIndex"] = 42,
		},
		[13] = 
		{
			["nodeIndex"] = 155,
			["poiIndex"] = 43,
		},
	},
	[18] = 
	{
		[1] = 
		{
			["nodeIndex"] = 150,
			["poiIndex"] = 21,
		},
		[2] = 
		{
			["nodeIndex"] = 147,
			["poiIndex"] = 17,
		},
		[3] = 
		{
			["nodeIndex"] = 143,
			["poiIndex"] = 18,
		},
		[4] = 
		{
			["nodeIndex"] = 148,
			["poiIndex"] = 19,
		},
		[5] = 
		{
			["nodeIndex"] = 149,
			["poiIndex"] = 20,
		},
		[6] = 
		{
			["nodeIndex"] = 150,
			["poiIndex"] = 21,
		},
		[7] = 
		{
			["nodeIndex"] = 151,
			["poiIndex"] = 22,
		},
		[8] = 
		{
			["nodeIndex"] = 152,
			["poiIndex"] = 23,
		},
		[9] = 
		{
			["nodeIndex"] = 153,
			["poiIndex"] = 24,
		},
		[10] = 
		{
			["nodeIndex"] = 154,
			["poiIndex"] = 25,
		},
		[11] = 
		{
			["nodeIndex"] = 197,
			["poiIndex"] = 39,
		},
	},
	[179] = 
	{
		[1] = 
		{
			["nodeIndex"] = 185,
			["poiIndex"] = 29,
		},
		[2] = 
		{
			["nodeIndex"] = 144,
			["poiIndex"] = 30,
		},
		[3] = 
		{
			["nodeIndex"] = 156,
			["poiIndex"] = 31,
		},
		[4] = 
		{
			["nodeIndex"] = 157,
			["poiIndex"] = 32,
		},
		[5] = 
		{
			["nodeIndex"] = 158,
			["poiIndex"] = 34,
		},
		[6] = 
		{
			["nodeIndex"] = 159,
			["poiIndex"] = 35,
		},
		[7] = 
		{
			["nodeIndex"] = 160,
			["poiIndex"] = 36,
		},
		[8] = 
		{
			["nodeIndex"] = 161,
			["poiIndex"] = 37,
		},
		[9] = 
		{
			["nodeIndex"] = 162,
			["poiIndex"] = 38,
		},
		[10] = 
		{
			["nodeIndex"] = 163,
			["poiIndex"] = 39,
		},
	},
	[180] = 
	{
		[1] = 
		{
			["nodeIndex"] = 191,
			["poiIndex"] = 8,
		},
		[2] = 
		{
			["nodeIndex"] = 214,
			["poiIndex"] = 15,
		},
		[3] = 
		{
			["nodeIndex"] = 164,
			["poiIndex"] = 16,
		},
		[4] = 
		{
			["nodeIndex"] = 21,
			["poiIndex"] = 17,
		},
		[5] = 
		{
			["nodeIndex"] = 165,
			["poiIndex"] = 18,
		},
		[6] = 
		{
			["nodeIndex"] = 166,
			["poiIndex"] = 19,
		},
		[7] = 
		{
			["nodeIndex"] = 167,
			["poiIndex"] = 20,
		},
		[8] = 
		{
			["nodeIndex"] = 168,
			["poiIndex"] = 21,
		},
		[9] = 
		{
			["nodeIndex"] = 169,
			["poiIndex"] = 22,
		},
		[10] = 
		{
			["nodeIndex"] = 207,
			["poiIndex"] = 40,
		},
		[11] = 
		{
			["nodeIndex"] = 213,
			["poiIndex"] = 41,
		},
	},
	[14] = 
	{
		[1] = 
		{
			["nodeIndex"] = 33,
			["poiIndex"] = 19,
		},
		[2] = 
		{
			["nodeIndex"] = 34,
			["poiIndex"] = 20,
		},
		[3] = 
		{
			["nodeIndex"] = 35,
			["poiIndex"] = 21,
		},
		[4] = 
		{
			["nodeIndex"] = 36,
			["poiIndex"] = 22,
		},
		[5] = 
		{
			["nodeIndex"] = 37,
			["poiIndex"] = 23,
		},
		[6] = 
		{
			["nodeIndex"] = 38,
			["poiIndex"] = 24,
		},
		[7] = 
		{
			["nodeIndex"] = 39,
			["poiIndex"] = 25,
		},
		[8] = 
		{
			["nodeIndex"] = 40,
			["poiIndex"] = 26,
		},
		[9] = 
		{
			["nodeIndex"] = 63,
			["poiIndex"] = 27,
		},
		[10] = 
		{
			["nodeIndex"] = 186,
			["poiIndex"] = 36,
		},
		[11] = 
		{
			["nodeIndex"] = 204,
			["poiIndex"] = 40,
		},
		[12] = 
		{
			["nodeIndex"] = 206,
			["poiIndex"] = 41,
		},
	},
	[293] = 
	{
		[1] = 
		{
			["nodeIndex"] = 181,
			["poiIndex"] = 3,
		},
		[2] = 
		{
			["nodeIndex"] = 182,
			["poiIndex"] = 4,
		},
		[3] = 
		{
			["nodeIndex"] = 183,
			["poiIndex"] = 5,
		},
	},
	[154] = 
	{
		[1] = 
		{
			["nodeIndex"] = 128,
			["poiIndex"] = 5,
		},
		[2] = 
		{
			["nodeIndex"] = 129,
			["poiIndex"] = 6,
		},
		[3] = 
		{
			["nodeIndex"] = 130,
			["poiIndex"] = 7,
		},
		[4] = 
		{
			["nodeIndex"] = 131,
			["poiIndex"] = 8,
		},
		[5] = 
		{
			["nodeIndex"] = 132,
			["poiIndex"] = 9,
		},
		[6] = 
		{
			["nodeIndex"] = 133,
			["poiIndex"] = 10,
		},
		[7] = 
		{
			["nodeIndex"] = 134,
			["poiIndex"] = 11,
		},
		[8] = 
		{
			["nodeIndex"] = 135,
			["poiIndex"] = 12,
		},
		[9] = 
		{
			["nodeIndex"] = 136,
			["poiIndex"] = 13,
		},
		[10] = 
		{
			["nodeIndex"] = 139,
			["poiIndex"] = 14,
		},
		[11] = 
		{
			["nodeIndex"] = 140,
			["poiIndex"] = 15,
		},
		[12] = 
		{
			["nodeIndex"] = 145,
			["poiIndex"] = 27,
		},
		[13] = 
		{
			["nodeIndex"] = 146,
			["poiIndex"] = 29,
		},
		[14] = 
		{
			["nodeIndex"] = 184,
			["poiIndex"] = 39,
		},
	},
	[178] = 
	{
		[1] = 
		{
			["nodeIndex"] = 177,
			["poiIndex"] = 20,
		},
		[2] = 
		{
			["nodeIndex"] = 178,
			["poiIndex"] = 23,
		},
		[3] = 
		{
			["nodeIndex"] = 174,
			["poiIndex"] = 24,
		},
		[4] = 
		{
			["nodeIndex"] = 175,
			["poiIndex"] = 25,
		},
		[5] = 
		{
			["nodeIndex"] = 176,
			["poiIndex"] = 26,
		},
		[6] = 
		{
			["nodeIndex"] = 121,
			["poiIndex"] = 27,
		},
		[7] = 
		{
			["nodeIndex"] = 122,
			["poiIndex"] = 28,
		},
		[8] = 
		{
			["nodeIndex"] = 123,
			["poiIndex"] = 29,
		},
		[9] = 
		{
			["nodeIndex"] = 124,
			["poiIndex"] = 30,
		},
		[10] = 
		{
			["nodeIndex"] = 127,
			["poiIndex"] = 33,
		},
		[11] = 
		{
			["nodeIndex"] = 194,
			["poiIndex"] = 41,
		},
		[12] = 
		{
			["nodeIndex"] = 211,
			["poiIndex"] = 42,
		},
	},
	[19] = 
	{
		[1] = 
		{
			["nodeIndex"] = 47,
			["poiIndex"] = 20,
		},
		[2] = 
		{
			["nodeIndex"] = 48,
			["poiIndex"] = 21,
		},
		[3] = 
		{
			["nodeIndex"] = 49,
			["poiIndex"] = 22,
		},
		[4] = 
		{
			["nodeIndex"] = 171,
			["poiIndex"] = 23,
		},
		[5] = 
		{
			["nodeIndex"] = 50,
			["poiIndex"] = 24,
		},
		[6] = 
		{
			["nodeIndex"] = 51,
			["poiIndex"] = 26,
		},
		[7] = 
		{
			["nodeIndex"] = 52,
			["poiIndex"] = 27,
		},
		[8] = 
		{
			["nodeIndex"] = 53,
			["poiIndex"] = 28,
		},
		[9] = 
		{
			["nodeIndex"] = 78,
			["poiIndex"] = 30,
		},
		[10] = 
		{
			["nodeIndex"] = 85,
			["poiIndex"] = 31,
		},
		[11] = 
		{
			["nodeIndex"] = 192,
			["poiIndex"] = 39,
		},
	},
	[4] = 
	{
		[1] = 
		{
			["nodeIndex"] = 189,
			["poiIndex"] = 20,
		},
		[2] = 
		{
			["nodeIndex"] = 14,
			["poiIndex"] = 22,
		},
		[3] = 
		{
			["nodeIndex"] = 15,
			["poiIndex"] = 23,
		},
		[4] = 
		{
			["nodeIndex"] = 16,
			["poiIndex"] = 24,
		},
		[5] = 
		{
			["nodeIndex"] = 22,
			["poiIndex"] = 25,
		},
		[6] = 
		{
			["nodeIndex"] = 23,
			["poiIndex"] = 26,
		},
		[7] = 
		{
			["nodeIndex"] = 18,
			["poiIndex"] = 27,
		},
		[8] = 
		{
			["nodeIndex"] = 19,
			["poiIndex"] = 28,
		},
		[9] = 
		{
			["nodeIndex"] = 31,
			["poiIndex"] = 35,
		},
		[10] = 
		{
			["nodeIndex"] = 56,
			["poiIndex"] = 42,
		},
		[11] = 
		{
			["nodeIndex"] = 17,
			["poiIndex"] = 43,
		},
	},
	[292] = 
	{
		[1] = 
		{
			["nodeIndex"] = 138,
			["poiIndex"] = 4,
		},
		[2] = 
		{
			["nodeIndex"] = 179,
			["poiIndex"] = 6,
		},
		[3] = 
		{
			["nodeIndex"] = 180,
			["poiIndex"] = 7,
		},
	},
}
-- cache for formatted wayshrine names
local _nodeNameCache = {}

local function GetNodeName(nodeIndex,name)
	local localeName = _nodeNameCache[nodeIndex]
	
	if localeName == nil then 
		localeName = Utils.FormatStringCurrentLanguage(name)
		_nodeNameCache[nodeIndex] = localeName
	end 
	
	return localeName
end 

local function GetNodesByZoneIndex(zoneIndex)
	if zoneIndex ~= nil then 
		local nodes = _zoneNodeLookup[zoneIndex]
		if nodes ~= nil then 
			return Utils.copy(nodes)
		end
	end 
	return {}
end



local function GetNodeInfo(nodeIndex)
	if nodeIndex == nil then return nil end 
	
	local known,name,normalizedX, normalizedY, textureName ,textureName,poiType,isShown = GetFastTravelNodeInfo(nodeIndex)
	
	name = GetNodeName(nodeIndex,name)
	
	return known,name,normalizedX, normalizedY, textureName ,textureName,poiType,isShown
end 

local d = Data

d.GetNodesByZoneIndex = GetNodesByZoneIndex
d.GetNodeInfo = GetNodeInfo

FasterTravel.Wayshrine.Data = d  